Find the answer to your Linux question:
Page 2 of 2 FirstFirst 1 2
Results 11 to 19 of 19
No problem dude!...
Enjoy an ad free experience by logging in. Not a member yet? Register.
  1. #11
    jvx
    jvx is offline
    Just Joined!
    Join Date
    Sep 2004
    Location
    Estonia
    Posts
    77

    No problem dude!

  2. #12
    Just Joined!
    Join Date
    Apr 2005
    Posts
    1
    Hope it's not too late to post on this topic...
    I got the first two points covered, but when I type:
    rpm -ihv ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386.rpm
    I get the following error:
    (these are all of the prosedures that are in you guide)
    [root@localhost augusto]# rpm -Uvh kernel-2.6.10-1.770_FC3.i686.rpm
    Preparing... ########################################### [100%]
    package kernel-2.6.10-1.770_FC3 is already installed
    [root@localhost augusto]# rpm -ihv ati-fglrx-8.10.19.1-0.lvn.1.3.i386.rpm
    warning: ati-fglrx-8.10.19.1-0.lvn.1.3.i386.rpm: V3 DSA signature: NOKEY, key ID a109b1ec
    Preparing... ########################################### [100%]
    package ati-fglrx-8.10.19.1-0.lvn.1.3 is already installed
    [root@localhost augusto]# rpm -ihv ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386.rpm
    warning: ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386.rpm: V3 DSA signature: NOKEY, key ID a109b1ec
    error: Failed dependencies:
    /usr/X11R6/include/X11/extensions is needed by ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386
    /usr/include/GL is needed by ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386
    What should I do?
    Thank you,
    Augusto

  3. #13
    Linux Guru Flatline's Avatar
    Join Date
    Feb 2005
    Posts
    2,204
    It looks like you need the development packages for xorg
    There are two major products that come out of Berkeley: LSD and UNIX. We don't believe this to be a coincidence.

    - Jeremy S. Anderson

  4. #14
    Just Joined!
    Join Date
    Apr 2005
    Posts
    6
    Quote Originally Posted by Flatline
    It looks like you need the development packages for xorg
    Would it be possible for you to post some links to the specific packages needed? because i got the exact same error for dependancies

  5. #15
    Linux Guru Flatline's Avatar
    Join Date
    Feb 2005
    Posts
    2,204
    You should be able to add the devel packages through Fedora's add/remove packages utility. I think it's in Applications -> System (although it's been a while since I've used Fedora, so you may have to poke around a bit).
    There are two major products that come out of Berkeley: LSD and UNIX. We don't believe this to be a coincidence.

    - Jeremy S. Anderson

  6. #16
    Just Joined!
    Join Date
    Apr 2005
    Posts
    6
    Quote Originally Posted by Flatline
    You should be able to add the devel packages through Fedora's add/remove packages utility. I think it's in Applications -> System (although it's been a while since I've used Fedora, so you may have to poke around a bit).
    Oh ok, I remember seeing that in the installation. Thank you


    EDIT: UGH! when i try to install my dev packages it tells me they need dependancies. a lot of them too

  7. #17
    Just Joined!
    Join Date
    Apr 2005
    Posts
    5

    PLEASE HELP

    I tried this only i have a 9800 pro so can someone help me there

    [rocky@localhost ~]$ su
    Password: ***************************************
    [root@localhost rocky]# rpm -Uvh kernel-2.6.10-1.770_FC3.i686.rpm
    error: open of kernel-2.6.10-1.770_FC3.i686.rpm failed: No such file or directory
    [root@localhost rocky]# rpm -Uvh /home/rocky/Desktop/kernel-2.6.10-1.770_FC3.i686.rpm
    Preparing... ########################################### [100%]
    package kernel-2.6.10-1.770_FC3 is already installed
    [root@localhost rocky]# rpm -Uvh /home/rocky/Desktop/rpm -ihv ati-fglrx-8.10.19.1-0.lvn.1.3.i386.rpm
    D: ============== /home/rocky/Desktop/rpm
    error: open of /home/rocky/Desktop/rpm failed: No such file or directory
    D: ============== ati-fglrx-8.10.19.1-0.lvn.1.3.i386.rpm
    error: open of ati-fglrx-8.10.19.1-0.lvn.1.3.i386.rpm failed: No such file or directory
    D: found 0 source and 0 binary packages
    [root@localhost rocky]# rpm -Uvh /home/rocky/Desktop/rpm -ihv ati-fglrx-8.10.19.1-0.lvn.1.3.i386.rpm
    D: ============== /home/rocky/Desktop/rpm
    error: open of /home/rocky/Desktop/rpm failed: No such file or directory
    D: ============== ati-fglrx-8.10.19.1-0.lvn.1.3.i386.rpm
    error: open of ati-fglrx-8.10.19.1-0.lvn.1.3.i386.rpm failed: No such file or directory
    D: found 0 source and 0 binary packages
    [root@localhost rocky]# rpm -Uvh /home/rocky/Desktop/ati-fglrx-8.10.19.1-0.lvn.1.3.i386.rpm
    warning: /home/rocky/Desktop/ati-fglrx-8.10.19.1-0.lvn.1.3.i386.rpm: V3 DSA signature: NOKEY, key ID a109b1ec
    Preparing... ########################################### [100%]
    file /usr/X11R6/bin/fgl_glxgears from install of ati-fglrx-8.10.19.1-0.lvn.1.3 conflicts with file from package fglrx_6_8_0-8.12.10-1
    file /usr/X11R6/bin/fglrx_xgamma from install of ati-fglrx-8.10.19.1-0.lvn.1.3 conflicts with file from package fglrx_6_8_0-8.12.10-1
    file /usr/X11R6/bin/fglrxconfig from install of ati-fglrx-8.10.19.1-0.lvn.1.3 conflicts with file from package fglrx_6_8_0-8.12.10-1
    file /usr/X11R6/bin/fglrxinfo from install of ati-fglrx-8.10.19.1-0.lvn.1.3 conflicts with file from package fglrx_6_8_0-8.12.10-1
    file /usr/X11R6/lib/libfglrx_gamma.a from install of ati-fglrx-8.10.19.1-0.lvn.1.3 conflicts with file from package fglrx_6_8_0-8.12.10-1
    file /usr/X11R6/lib/modules/dri/fglrx_dri.so from install of ati-fglrx-8.10.19.1-0.lvn.1.3 conflicts with file from package fglrx_6_8_0-8.12.10-1
    file /usr/X11R6/lib/modules/drivers/fglrx_drv.o from install of ati-fglrx-8.10.19.1-0.lvn.1.3 conflicts with file from package fglrx_6_8_0-8.12.10-1
    file /usr/X11R6/lib/modules/linux/libfglrxdrm.a from install of ati-fglrx-8.10.19.1-0.lvn.1.3 conflicts with file from package fglrx_6_8_0-8.12.10-1
    [root@localhost rocky]# rpm -Uvh /home/rocky/Desktop/ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386.rpm
    warning: /home/rocky/Desktop/ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386.rpm: V3 DSA signature: NOKEY, key ID a109b1ec
    error: Failed dependencies:
    /usr/X11R6/include/X11/extensions is needed by ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386
    /usr/include/GL is needed by ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386
    ati-fglrx = 0:8.10.19.1-0.lvn.1.3 is needed by ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386
    [root@localhost rocky]# rpm -Uvh /home/rocky/Desktop/ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386.rpm
    warning: /home/rocky/Desktop/ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386.rpm: V3 DSA signature: NOKEY, key ID a109b1ec
    error: Failed dependencies:
    /usr/X11R6/include/X11/extensions is needed by ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386
    /usr/include/GL is needed by ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386
    ati-fglrx = 0:8.10.19.1-0.lvn.1.3 is needed by ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386
    [root@localhost rocky]# rpm -Uvh /home/rocky/Desktop/ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386.rpm
    warning: /home/rocky/Desktop/ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386.rpm: V3 DSA signature: NOKEY, key ID a109b1ec
    error: Failed dependencies:
    /usr/X11R6/include/X11/extensions is needed by ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386
    /usr/include/GL is needed by ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386
    ati-fglrx = 0:8.10.19.1-0.lvn.1.3 is needed by ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386
    [root@localhost rocky]# rpm -Uvh /home/rocky/Desktop/kernel-module-fglrx-2.6.10-1.770_FC3-8.10.19.1-0.lvn.1.3.i686.rpm
    warning: /home/rocky/Desktop/kernel-module-fglrx-2.6.10-1.770_FC3-8.10.19.1-0.lvn.1.3.i686.rpm: V3 DSA signature: NOKEY, key ID a109b1ec
    error: Failed dependencies:
    ati-fglrx >= 0:8.10.19.1-0.lvn.1.3 is needed by kernel-module-fglrx-2.6.10-1.770_FC3-8.10.19.1-0.lvn.1.3.i686
    [root@localhost rocky]# rpm -Uvh /home/rocky/Desktop/kernel-module-fglrx-2.6.10-1.770_FC3-8.10.19.1-0.lvn.1.3.i686.rpm
    warning: /home/rocky/Desktop/kernel-module-fglrx-2.6.10-1.770_FC3-8.10.19.1-0.lvn.1.3.i686.rpm: V3 DSA signature: NOKEY, key ID a109b1ec
    error: Failed dependencies:
    ati-fglrx >= 0:8.10.19.1-0.lvn.1.3 is needed by kernel-module-fglrx-2.6.10-1.770_FC3-8.10.19.1-0.lvn.1.3.i686
    [root@localhost rocky]#

  8. #18
    Just Joined!
    Join Date
    Apr 2005
    Posts
    2

    Hi!

    Just try using : rpm -ihv --nodeps --force --allfiles [packagename].rpm

    Atleast 60% of the time I get "failed depencies" info with installing rpm's without the forcing. But almost everytime it seems to be about the rpm package dependency check being too picky. Try forcing it, if it doesn't work, try to google the dependencies.

    *****************************

    Quote Originally Posted by augustofrausin
    Hope it's not too late to post on this topic...
    I got the first two points covered, but when I type:
    rpm -ihv ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386.rpm
    I get the following error:
    (these are all of the prosedures that are in you guide)
    [root@localhost augusto]# rpm -Uvh kernel-2.6.10-1.770_FC3.i686.rpm
    Preparing... ########################################### [100%]
    package kernel-2.6.10-1.770_FC3 is already installed
    [root@localhost augusto]# rpm -ihv ati-fglrx-8.10.19.1-0.lvn.1.3.i386.rpm
    warning: ati-fglrx-8.10.19.1-0.lvn.1.3.i386.rpm: V3 DSA signature: NOKEY, key ID a109b1ec
    Preparing... ########################################### [100%]
    package ati-fglrx-8.10.19.1-0.lvn.1.3 is already installed
    [root@localhost augusto]# rpm -ihv ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386.rpm
    warning: ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386.rpm: V3 DSA signature: NOKEY, key ID a109b1ec
    error: Failed dependencies:
    /usr/X11R6/include/X11/extensions is needed by ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386
    /usr/include/GL is needed by ati-fglrx-devel-8.10.19.1-0.lvn.1.3.i386
    What should I do?
    Thank you,
    Augusto

  9. #19
    jvx
    jvx is offline
    Just Joined!
    Join Date
    Sep 2004
    Location
    Estonia
    Posts
    77
    Try searching for dependencies here: http://www.rpmfind.net/

Page 2 of 2 FirstFirst 1 2

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •